Bug 522289 - KMS:RV515:X1300 System doesn't wake up from suspend
Summary: KMS:RV515:X1300 System doesn't wake up from suspend
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_R500/mM
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 00:55 UTC by David Dubrović
Modified: 2018-04-11 18:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-27 01:11:40 UTC


Attachments (Terms of Use)
/var/log/dmesg (193.11 KB, text/plain)
2009-09-10 00:55 UTC, David Dubrović
no flags Details
/var/log/messages (240.50 KB, text/plain)
2009-09-10 00:55 UTC, David Dubrović
no flags Details
xorg.0.log (143.63 KB, text/plain)
2009-09-10 00:56 UTC, David Dubrović
no flags Details
smolt profile (9.25 KB, text/plain)
2009-09-10 00:56 UTC, David Dubrović
no flags Details

Description David Dubrović 2009-09-10 00:55:08 UTC
Created attachment 360393 [details]
/var/log/dmesg

Description of problem:
When suspended system doesn't wake up

Version-Release number of selected component (if applicable):


How reproducible:
Suspend system

Steps to Reproduce:
1.Left click battery icon
2.Click suspend
3.Try to wake system from suspend
  
Actual results:
Nothing

Expected results:
System running normally

Additional info:

Comment 1 David Dubrović 2009-09-10 00:55:43 UTC
Created attachment 360394 [details]
/var/log/messages

Comment 2 David Dubrović 2009-09-10 00:56:11 UTC
Created attachment 360395 [details]
xorg.0.log

Comment 3 David Dubrović 2009-09-10 00:56:31 UTC
Created attachment 360396 [details]
smolt profile

Comment 4 Jérôme Glisse 2009-09-10 13:19:58 UTC
Does it wakes up if you boot with nomodeset=1 or radeon.modeset=0 ?

Comment 5 David Dubrović 2009-09-13 21:01:00 UTC
With nomodeset=1 resumes and works correctly

Comment 6 Matěj Cepl 2009-11-05 17:15:45 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 7 Bug Zapper 2009-11-16 12:09:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Dave Airlie 2009-11-17 11:05:30 UTC
can you try with latest F12 kernel?
http://kojipkgs.fedoraproject.org/packages/kernel/2.6.31.6/134.fc12/

Comment 9 Jérôme Glisse 2009-11-17 18:13:54 UTC
David did you had a chance to try with lastest kernel ?

Comment 10 Matěj Cepl 2010-02-26 12:24:22 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 11 David Dubrović 2010-02-26 15:12:25 UTC
Sorry for not responding earlier, I totally missed those messages from november.
I just installed fresh F12 liveCD, and after waking up from suspend screen is black, but flashes desktop wallpaper on any mouse/key press, system is of course unusable.
BUT, after updating the system everything works properly, so I guess you can close this as fixed now.

Comment 12 Adam Williamson 2010-02-27 01:11:40 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.